/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on : 10.07.2003
 * Created by : s3595
 */
package at.spardat.xma.boot.comp;

/**
 * DTDStatics
 *
 * @author <a href="mailto:schaeferc@spardat.at">s3595 Chr. Schaefer (CGS)</a>
 * @version $Id: DTDStatics.java 10853 2013-06-28 12:02:20Z dschwarz $
 *
 */
public class DTDStatics {

    public static final  String xmlHeader = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n <!DOCTYPE xma_application PUBLIC \"-//Spardat//IMC-XMA//EN\" \"file://xma-app.dtd\" >";   //$NON-NLS-1$

    public static final  String OPEN = "<"; //$NON-NLS-1$
    public static final  String CLOSE = ">"; //$NON-NLS-1$

    public static final  String CLOSE_CHAR = "/"; //$NON-NLS-1$

    public static final  String CLOSE_SIMPLES = CLOSE_CHAR + ">"; //$NON-NLS-1$

    public static final  String SP = " "; //$NON-NLS-1$
    public static final  String QUOTE = "=\""; //$NON-NLS-1$
    public static final  String E_QUOTE = "\""; //$NON-NLS-1$


    public static final  String XMA_Application = "xma_application"; //$NON-NLS-1$
    public static final  String COMPONENT = "component"; //$NON-NLS-1$

    public static final  String COMPONENT_NAME = "name"; //$NON-NLS-1$
    public static final  String COMPONENT_IMPLPACKAGE = "implPackage"; //$NON-NLS-1$

    public static final  String RESOURCE  = "resource"; //$NON-NLS-1$
    public static final  String RESOURCE_HREF    = "href"; //$NON-NLS-1$
    public static final  String RESOURCE_TYPE    = "type"; //$NON-NLS-1$
    public static final  String RESOURCE_VERSION = "version"; //$NON-NLS-1$
    public static final  String RESOURCE_LOCALE = "locale"; //$NON-NLS-1$
    public static final  String RESOURCE_SHARED = "shared"; //$NON-NLS-1$
    public static final  String RESOURCE_FDMLOAD = "fdmload"; //$NON-NLS-1$

    //http://lopica.sourceforge.net/ref.html#resources
    //http://lopica.sourceforge.net/ref.html#os-arch-codes
    public static final  String RESOURCE_OSNAME = "os"; //$NON-NLS-1$
    public static final  String RESOURCE_OSARCH = "arch"; //$NON-NLS-1$


    public static final  String RESOURCE_LINK  = "resourceLink"; //$NON-NLS-1$

    public static final  String PLUGIN_SPEC = "plugin-spec"; //$NON-NLS-1$
    public static final  String PLUGIN_SPEC_REQUIRES = "requires"; //$NON-NLS-1$


    public static final  String PLUGIN_IMPL = "plugin-impl"; //$NON-NLS-1$
    public static final  String PLUGIN_IMPL_IMPLEMENTS = "implements"; //$NON-NLS-1$

    public static final  String PLUGIN_IMPL_CLIENT = "implClient"; //$NON-NLS-1$
    public static final  String PLUGIN_IMPL_SERVER = "implServer"; //$NON-NLS-1$

    public static final  String SWT_DESCRIPTION = "swt-description"; //$NON-NLS-1$
    public static final  String PREINSTALL = "preinstall"; //$NON-NLS-1$
    public static final  String PREINSTALL_VERSION ="version-number"; //$NON-NLS-1$
    
    public static final  String SSL_RESTRICTION = "ssl-restriction"; //$NON-NLS-1$
    public static final  String SSL_RESTRICTION_HOSTNAME = "hostname"; //$NON-NLS-1$
    public static final  String CERTIFICATE = "certificate"; //$NON-NLS-1$
    public static final  String SUBJECT = "subject"; //$NON-NLS-1$
    public static final  String ISSUER = "issuer"; //$NON-NLS-1$
    

}
