/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on : 16.06.2003
 * Created by : s3595
 */
package at.spardat.xma.boot.comp.data;

import java.io.PrintStream;

import at.spardat.xma.boot.comp.DTDStatics;

/**
 * XMAPluginImpl
 *
 * @author s3595 <a href="mailto:schaeferc@spardat.at">Chris Schfer (CGS)</a>
 * @version $Id: XMAPluginSpec.java 10649 2013-05-03 12:35:54Z dschwarz $
 *
 */
public class XMAPluginSpec {

    /**
     * points to a required module name/version. that should be prepared by a plugin-impl.
     */
    private String requires_;

    public XMAPluginSpec( String input ) {
        requires_ = input;
    }

    public void writeXML( PrintStream ps ) {
       ps.print( DTDStatics.OPEN + DTDStatics.PLUGIN_SPEC );
         ps.print( DTDStatics.SP + DTDStatics.PLUGIN_SPEC_REQUIRES + DTDStatics.QUOTE + requires_ + DTDStatics.E_QUOTE );
       ps.print( DTDStatics.SP + DTDStatics.CLOSE_SIMPLES );
    }


    /**
     * @return String
     */
    public String getRequires_() {
        return requires_;
    }

    /**
     * @param string
     * @return void
     */
    public void setRequires_(String string) {
        requires_ = string;
    }

    @Override
    public String toString() {
        return requires_;
    }
    
    

}
