/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on 16.05.2003
 */
package at.spardat.xma.boot.transport;


/**
 * Thrown by Transport to indicate that a redirect was returned by the server.
 */
public class RedirectException extends CommunicationException {
    private static final long serialVersionUID = -3939864808123052294L;
    
    private final String location;
    
    /**
     * Constructs an <code>RedirectException</code> with the specified detail message,
     * return code and new location as indicated by the HTTP response header.
     *  
     * @param message detail message
     * @param returnCode HTTP-Returncode send by the server (301 or 302)
     * @param location New location as returned by the server
     */
    public RedirectException(String message,int returnCode, String location) {
        super(message,returnCode);
        this.location = location;
    }

    public String getLocation() {
        return location;
    }

}
